diff --git a/gnu/local.mk b/gnu/local.mk
index 977bcbb597..5739a1ab12 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -1664,7 +1664,6 @@ dist_patch_DATA =						\
   %D%/packages/patches/mit-krb5-hurd.patch			\
   %D%/packages/patches/mixxx-link-qtscriptbytearray-qtscript.patch	\
   %D%/packages/patches/mixxx-system-googletest-benchmark.patch	\
-  %D%/packages/patches/mm-common-reproducible-tarball.patch	\
   %D%/packages/patches/mpc123-initialize-ao.patch		\
   %D%/packages/patches/mpg321-CVE-2019-14247.patch		\
   %D%/packages/patches/mpg321-gcc-10.patch			\
diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index e8daa59212..d4141399fe 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -1140,7 +1140,7 @@ (define-public metacity
 (define-public mm-common
   (package
     (name "mm-common")
-    (version "1.0.3")
+    (version "1.0.5")
     (source (origin
               (method url-fetch)
               (uri (string-append "mirror://gnome/sources/mm-common/"
@@ -1148,26 +1148,21 @@ (define-public mm-common
                                   "mm-common-" version ".tar.xz"))
               (sha256
                (base32
-                "1x8yvjy0yg17qyhmqws8xh2k8dvzrhpwqz7j1cfwzalrb1i9c5g8"))
-              (patches
-               (search-patches
-                "mm-common-reproducible-tarball.patch"))))
+                "1am5dmz7862hr2p4xbkdikpvd4kc0hdzqv73wjyjjshiyhlnsp3h"))))
     (build-system meson-build-system)
     (arguments
-     `(#:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'patch
-           (lambda* (#:key inputs #:allow-other-keys)
-             (substitute* "util/mm-common-prepare.in"
-               (("ln") (search-input-file inputs "/bin/ln"))
-               (("cp") (search-input-file inputs "/bin/cp"))
-               (("sed") (search-input-file inputs "/bin/sed"))
-               (("cat") (search-input-file inputs "/bin/cat"))))))))
+     (list
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-after 'unpack 'patch
+            (lambda* (#:key inputs #:allow-other-keys)
+              (substitute* "util/mm-common-prepare.in"
+                (("ln") (search-input-file inputs "/bin/ln"))
+                (("cp") (search-input-file inputs "/bin/cp"))
+                (("sed") (search-input-file inputs "/bin/sed"))
+                (("cat") (search-input-file inputs "/bin/cat"))))))))
     (native-inputs
-     `(("coreutils" ,coreutils)
-       ("gettext" ,gettext-minimal)
-       ("pkg-config" ,pkg-config)
-       ("sed" ,sed)))
+     (list coreutils gettext-minimal pkg-config sed))
     (inputs
      (list python))
     (synopsis "Module of GNOME C++ bindings")
diff --git a/gnu/packages/patches/mm-common-reproducible-tarball.patch b/gnu/packages/patches/mm-common-reproducible-tarball.patch
deleted file mode 100644
index f0890aaf57..0000000000
--- a/gnu/packages/patches/mm-common-reproducible-tarball.patch
+++ /dev/null
@@ -1,40 +0,0 @@
-From 024c121c844a4ec920133eb3f7e6b6ee8044c0b6 Mon Sep 17 00:00:00 2001
-From: Vagrant Cascadian <vagrant@reproducible-builds.org>
-Date: Sat, 12 Dec 2020 04:05:56 +0000
-Original-Patch: https://bugs.debian.org/977177
-Subject: [PATCH] Set uid, username, gid, and group name on files in
- generated tarball.
-
-The user and group may otherwise vary between builds on different systems.
-
----
- util/meson_aux/skeletonmm-tarball.py | 16 +++++++++++++++-
- 1 file changed, 15 insertions(+), 1 deletion(-)
-
-diff --git a/util/meson_aux/skeletonmm-tarball.py b/util/meson_aux/skeletonmm-tarball.py
-index db9e650..89049b6 100755
---- a/util/meson_aux/skeletonmm-tarball.py
-+++ b/util/meson_aux/skeletonmm-tarball.py
-@@ -39,10 +39,18 @@ elif output_file.endswith('.gz'):
- else:
-   mode = 'w'
- 
-+def reproducible(tarinfo):
-+  # Set consistent user and group on files in the tar archive
-+  tarinfo.uid = 0
-+  tarinfo.uname = 'root'
-+  tarinfo.gid = 0
-+  tarinfo.gname = 'root'
-+  return tarinfo
-+
- with tarfile.open(output_file, mode=mode) as tar_file:
-   os.chdir(source_dir) # Input filenames are relative to source_dir.
-   for file in sys.argv[3:]:
--    tar_file.add(file)
-+    tar_file.add(file, filter=reproducible)
- # Errors raise exceptions. If an exception is raised, Meson+ninja will notice
- # that the command failed, despite exit(0).
- sys.exit(0)
--- 
-2.29.2
-