diff --git a/gnu/local.mk b/gnu/local.mk
index a472c62acb..672aa2fa19 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -456,7 +456,6 @@ GNU_SYSTEM_MODULES =				\
   %D%/packages/musl.scm				\
   %D%/packages/mtools.scm			\
   %D%/packages/myrddin.scm			\
-  %D%/packages/nano.scm				\
   %D%/packages/ncdu.scm				\
   %D%/packages/ncurses.scm			\
   %D%/packages/netpbm.scm			\
diff --git a/gnu/packages/nano.scm b/gnu/packages/nano.scm
deleted file mode 100644
index 0fd08f8031..0000000000
--- a/gnu/packages/nano.scm
+++ /dev/null
@@ -1,51 +0,0 @@
-;;; GNU Guix --- Functional package management for GNU
-;;; Copyright © 2012 Nikita Karetnikov <nikita@karetnikov.org>
-;;; Copyright © 2015-2022 Efraim Flashner <efraim@flashner.co.il>
-;;; Copyright © 2016 Rene Saavedra <rennes@openmailbox.org>
-;;; Copyright © 2018–2021 Tobias Geerinckx-Rice <me@tobias.gr>
-;;; Copyright © 2022 Jai Vetrivelan <jaivetrivelan@gmail.com>
-;;;
-;;; This file is part of GNU Guix.
-;;;
-;;; GNU Guix is free software; you can redistribute it and/or modify it
-;;; under the terms of the GNU General Public License as published by
-;;; the Free Software Foundation; either version 3 of the License, or (at
-;;; your option) any later version.
-;;;
-;;; GNU Guix is distributed in the hope that it will be useful, but
-;;; WITHOUT ANY WARRANTY; without even the implied warranty of
-;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-;;; GNU General Public License for more details.
-;;;
-;;; You should have received a copy of the GNU General Public License
-;;; along with GNU Guix.  If not, see <http://www.gnu.org/licenses/>.
-
-(define-module (gnu packages nano)
-  #:use-module (guix licenses)
-  #:use-module (gnu packages gettext)
-  #:use-module (gnu packages ncurses)
-  #:use-module (guix packages)
-  #:use-module (guix download)
-  #:use-module (guix build-system gnu))
-
-(define-public nano
-  (package
-    (name "nano")
-    (version "7.2")
-    (source
-     (origin
-      (method url-fetch)
-      (uri (string-append "mirror://gnu/nano/nano-" version ".tar.xz"))
-      (sha256
-       (base32 "09j5gb44yiv18fvn0iy17jnl9d5lh3gkry4kqv776a5xd0kl9ww6"))))
-    (build-system gnu-build-system)
-    (inputs
-     (list gettext-minimal ncurses))
-    (home-page "https://www.nano-editor.org/")
-    (synopsis "Small, user-friendly console text editor")
-    (description
-     "GNU nano is a small and simple text editor for use in a terminal.  Besides
-basic editing, it supports: undo/redo, syntax highlighting, spell checking,
-justifying, auto-indentation, bracket matching, interactive search-and-replace
-(with regular expressions), and the editing of multiple files.")
-    (license gpl3+))) ; some files are under GPLv2+
diff --git a/gnu/packages/text-editors.scm b/gnu/packages/text-editors.scm
index f5714e934a..370a078668 100644
--- a/gnu/packages/text-editors.scm
+++ b/gnu/packages/text-editors.scm
@@ -1,6 +1,9 @@
 ;;; GNU Guix --- Functional package management for GNU
+;;; Copyright © 2012 Nikita Karetnikov <nikita@karetnikov.org>
+;;; Copyright © 2015-2022 Efraim Flashner <efraim@flashner.co.il>
 ;;; Copyright © 2016 José Miguel Sánchez García <jmi2k@openmailbox.org>
 ;;; Copyright © 2016 Carlo Zancanaro <carlo@zancanaro.id.au>
+;;; Copyright © 2016 Rene Saavedra <rennes@openmailbox.org>
 ;;; Copyright © 2017, 2018, 2020, 2022 Eric Bavier <bavier@posteo.net>
 ;;; Copyright © 2017 Feng Shu <tumashu@163.com>
 ;;; Copyright © 2017 Nikita <nikita@n0.is>
@@ -20,10 +23,12 @@
 ;;; Copyright © 2022 Luis Henrique Gomes Higino <luishenriquegh2701@gmail.com>
 ;;; Copyright © 2022 Foo Chuan Wei <chuanwei.foo@hotmail.com>
 ;;; Copyright © 2022 zamfofex <zamfofex@twdb.moe>
+;;; Copyright © 2022 Jai Vetrivelan <jaivetrivelan@gmail.com>
 ;;; Copyright © 2022 jgart <jgart@dismail.de>
 ;;; Copyright © 2022 Andy Tai <atai@atai.org>
 ;;; Copyright © 2023 Eidvilas Markevičius <markeviciuseidvilas@gmail.com>
 ;;; Copyright © 2023 Maxim Cournoyer <maxim.cournoyer@gmail.com>
+;;; Copyright © 2023 Jaeme Sifat <jaeme@runbox.com>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -562,6 +567,28 @@ (define-public mg
 OpenBSD team.")
     (license license:public-domain)))
 
+(define-public nano
+  (package
+    (name "nano")
+    (version "7.2")
+    (source
+     (origin
+      (method url-fetch)
+      (uri (string-append "mirror://gnu/nano/nano-" version ".tar.xz"))
+      (sha256
+       (base32 "09j5gb44yiv18fvn0iy17jnl9d5lh3gkry4kqv776a5xd0kl9ww6"))))
+    (build-system gnu-build-system)
+    (inputs
+     (list gettext-minimal ncurses))
+    (home-page "https://www.nano-editor.org/")
+    (synopsis "Small, user-friendly console text editor")
+    (description
+     "GNU nano is a small and simple text editor for use in a terminal.  Besides
+basic editing, it supports: undo/redo, syntax highlighting, spell checking,
+justifying, auto-indentation, bracket matching, interactive search-and-replace
+(with regular expressions), and the editing of multiple files.")
+    (license license:gpl3+))) ; some files are under GPLv2+
+
 (define-public qemacs
   (package
     (name "qemacs")