diff --git a/gnu/local.mk b/gnu/local.mk
index a472c62acb..8fe17d15ce 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -240,7 +240,6 @@ GNU_SYSTEM_MODULES =				\
   %D%/packages/dvtm.scm				\
   %D%/packages/easyrpg.scm			\
   %D%/packages/ebook.scm			\
-  %D%/packages/ed.scm				\
   %D%/packages/education.scm			\
   %D%/packages/efi.scm				\
   %D%/packages/electronics.scm			\
diff --git a/gnu/packages/ed.scm b/gnu/packages/ed.scm
deleted file mode 100644
index 31c41fa5ef..0000000000
--- a/gnu/packages/ed.scm
+++ /dev/null
@@ -1,58 +0,0 @@
-;;; GNU Guix --- Functional package management for GNU
-;;; Copyright © 2012 Nikita Karetnikov <nikita@karetnikov.org>
-;;; Copyright © 2013, 2014 Ludovic Courtès <ludo@gnu.org>
-;;; Copyright © 2016, 2019, 2022 Efraim Flashner <efraim@flashner.co.il>
-;;;
-;;; This file is part of GNU Guix.
-;;;
-;;; GNU Guix is free software; you can redistribute it and/or modify it
-;;; under the terms of the GNU General Public License as published by
-;;; the Free Software Foundation; either version 3 of the License, or (at
-;;; your option) any later version.
-;;;
-;;; GNU Guix is distributed in the hope that it will be useful, but
-;;; WITHOUT ANY WARRANTY; without even the implied warranty of
-;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-;;; GNU General Public License for more details.
-;;;
-;;; You should have received a copy of the GNU General Public License
-;;; along with GNU Guix.  If not, see <http://www.gnu.org/licenses/>.
-
-(define-module (gnu packages ed)
-  #:use-module (guix licenses)
-  #:use-module (guix packages)
-  #:use-module (guix download)
-  #:use-module (guix utils)
-  #:use-module (guix build-system gnu)
-  #:use-module (gnu packages compression))
-
-(define-public ed
-  (package
-    (name "ed")
-    (version "1.18")
-    (source (origin
-             (method url-fetch)
-             (uri (string-append "mirror://gnu/ed/ed-"
-                                 version ".tar.lz"))
-             (sha256
-              (base32
-               "0krb8rsb0cd8mgz0c5pqgnjbbrj7zjl7mf9099r8gi80k2nyza5c"))))
-    (build-system gnu-build-system)
-    (native-inputs (list lzip))
-    (arguments
-     `(#:configure-flags (list ,(string-append "CC=" (cc-for-target)))
-       #:phases
-       (modify-phases %standard-phases
-         (add-before 'patch-source-shebangs 'patch-test-suite
-                     (lambda _
-                       (substitute* "testsuite/check.sh"
-                         (("/bin/sh") (which "sh"))))))))
-    (home-page "https://www.gnu.org/software/ed/")
-    (synopsis "Line-oriented text editor")
-    (description
-     "Ed is a line-oriented text editor: rather than offering an overview of
-a document, ed performs editing one line at a time.  It can be executed both
-interactively and via shell scripts.  Its method of command input allows
-complex tasks to be performed in an automated way.  GNU ed offers several
-extensions over the standard utility.")
-    (license gpl3+)))
diff --git a/gnu/packages/text-editors.scm b/gnu/packages/text-editors.scm
index f5714e934a..3614d6c31c 100644
--- a/gnu/packages/text-editors.scm
+++ b/gnu/packages/text-editors.scm
@@ -1,6 +1,9 @@
 ;;; GNU Guix --- Functional package management for GNU
+;;; Copyright © 2012 Nikita Karetnikov <nikita@karetnikov.org>
+;;; Copyright © 2013, 2014 Ludovic Courtès <ludo@gnu.org>
 ;;; Copyright © 2016 José Miguel Sánchez García <jmi2k@openmailbox.org>
 ;;; Copyright © 2016 Carlo Zancanaro <carlo@zancanaro.id.au>
+;;; Copyright © 2016, 2019, 2022 Efraim Flashner <efraim@flashner.co.il>
 ;;; Copyright © 2017, 2018, 2020, 2022 Eric Bavier <bavier@posteo.net>
 ;;; Copyright © 2017 Feng Shu <tumashu@163.com>
 ;;; Copyright © 2017 Nikita <nikita@n0.is>
@@ -24,6 +27,7 @@
 ;;; Copyright © 2022 Andy Tai <atai@atai.org>
 ;;; Copyright © 2023 Eidvilas Markevičius <markeviciuseidvilas@gmail.com>
 ;;; Copyright © 2023 Maxim Cournoyer <maxim.cournoyer@gmail.com>
+;;; Copyright © 2023 Jaeme Sifat <jaeme@runbox.com>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -62,6 +66,7 @@ (define-module (gnu packages text-editors)
   #:use-module (gnu packages base)
   #:use-module (gnu packages boost)
   #:use-module (gnu packages code)
+  #:use-module (gnu packages compression)
   #:use-module (gnu packages cpp)
   #:use-module (gnu packages crates-io)
   #:use-module (gnu packages curl)
@@ -102,6 +107,37 @@ (define-module (gnu packages text-editors)
   #:use-module (gnu packages xml)
   #:use-module (gnu packages xorg))
 
+(define-public ed
+  (package
+    (name "ed")
+    (version "1.18")
+    (source (origin
+             (method url-fetch)
+             (uri (string-append "mirror://gnu/ed/ed-"
+                                 version ".tar.lz"))
+             (sha256
+              (base32
+               "0krb8rsb0cd8mgz0c5pqgnjbbrj7zjl7mf9099r8gi80k2nyza5c"))))
+    (build-system gnu-build-system)
+    (native-inputs (list lzip))
+    (arguments
+     `(#:configure-flags (list ,(string-append "CC=" (cc-for-target)))
+       #:phases
+       (modify-phases %standard-phases
+         (add-before 'patch-source-shebangs 'patch-test-suite
+                     (lambda _
+                       (substitute* "testsuite/check.sh"
+                         (("/bin/sh") (which "sh"))))))))
+    (home-page "https://www.gnu.org/software/ed/")
+    (synopsis "Line-oriented text editor")
+    (description
+     "Ed is a line-oriented text editor: rather than offering an overview of
+a document, ed performs editing one line at a time.  It can be executed both
+interactively and via shell scripts.  Its method of command input allows
+complex tasks to be performed in an automated way.  GNU ed offers several
+extensions over the standard utility.")
+    (license license:gpl3+)))
+
 (define-public vis
   (package
     (name "vis")