diff --git a/gnu/local.mk b/gnu/local.mk
index 436308c241..418d98d517 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -922,6 +922,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/aoflagger-use-system-provided-pybind11.patch \
   %D%/packages/patches/apr-fix-atomics.patch			\
   %D%/packages/patches/apr-skip-getservbyname-test.patch	\
+  %D%/packages/patches/argyllcms-prepare-Jamtop.patch	\
   %D%/packages/patches/ark-skip-xar-test.patch			\
   %D%/packages/patches/arpack-ng-propagate-rng-state.patch	\
   %D%/packages/patches/asli-use-system-libs.patch		\
diff --git a/gnu/packages/ghostscript.scm b/gnu/packages/ghostscript.scm
index 502b41bb99..e2ac7024a0 100644
--- a/gnu/packages/ghostscript.scm
+++ b/gnu/packages/ghostscript.scm
@@ -29,6 +29,7 @@
 (define-module (gnu packages ghostscript)
   #:use-module (gnu packages)
   #:use-module (gnu packages autotools)
+  #:use-module (gnu packages build-tools)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages cups)
   #:use-module (gnu packages fontutils)
@@ -38,6 +39,7 @@ (define-module (gnu packages ghostscript)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages python)
   #:use-module (gnu packages tcl)
+  #:use-module (gnu packages tls)
   #:use-module (gnu packages xorg)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix packages)
@@ -73,6 +75,82 @@ (define-public lcms
     (home-page "https://www.littlecms.com/")
     (properties '((cpe-name . "little_cms_color_engine")))))
 
+(define-public argyllcms
+  (package
+    (name "argyllcms")
+    (version "3.1.0")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append "https://argyllcms.com/Argyll_V"
+                                  version "_src.zip"))
+              (sha256
+               (base32
+                "1jyd1qgs396z9hc0vvh376sh1vznfj9yql73ajdfgpf6gcfmmpag"))))
+    (build-system gnu-build-system)
+    (arguments
+     (list
+      ;; No tests?
+      #:tests? #f
+      #:phases
+      #~(modify-phases %standard-phases
+          ;; These modifications are specific to guix, so patch in a phase
+          ;; instead of a snippet.
+          (add-after 'unpack 'fix-Jamtop
+            (lambda _
+              (invoke "patch"
+                      "--force" "--no-backup-if-mismatch" "--input"
+                      #+(local-file
+                         (search-patch "argyllcms-prepare-Jamtop.patch")))))
+          (replace 'configure
+            (lambda _
+              (setenv "CC" "gcc")))
+          (replace 'build
+            (lambda* (#:key (make-flags '()) (parallel-build? #t)
+                      #:allow-other-keys)
+              (apply invoke "jam" (string-append "PREFIX=" #$output)
+                     `(,@(if parallel-build?
+                             `("-j" ,(number->string (parallel-job-count)))
+                             '())
+                       ,@make-flags))))
+          (replace 'check
+            (lambda* (#:key target (make-flags '()) (tests? (not target))
+                      (test-target "check") (parallel-tests? #t)
+                      #:allow-other-keys)
+              (if tests?
+                  (apply invoke "jam" test-target
+                         `(,@(if parallel-tests?
+                                 `("-j" ,(number->string (parallel-job-count)))
+                                 '())
+                           ,@make-flags))
+                  (format #t "test suite not run~%"))))
+          (replace 'install
+            (lambda* (#:key (make-flags '()) #:allow-other-keys)
+              (apply invoke "jam" "install" "DESTDIR="
+                     ;; For some reason it strips a leading /
+                     (string-append "PREFIX=/" #$output) make-flags))))))
+    (inputs
+     (list libx11
+           libxdmcp
+           libxext
+           libxxf86vm
+           libxinerama
+           libxrandr
+           libxscrnsaver
+           libtiff
+           libjpeg-turbo
+           libpng
+           openssl
+           zlib))
+    (native-inputs (list ajam unzip))
+    (home-page "https://www.argyllcms.com")
+    (synopsis "ICC compatible color management system.")
+    (description "ArgyllCMS is an ICC compatible color management system,
+available as Open Source. It supports accurate ICC profile creation for
+scanners, cameras and film recorders, and calibration and profiling of
+displays and RGB, CMY & CMYK printers.")
+    (license license:agpl3)))
+
+
 (define-public libpaper
   (package
     (name "libpaper")
diff --git a/gnu/packages/patches/argyllcms-prepare-Jamtop.patch b/gnu/packages/patches/argyllcms-prepare-Jamtop.patch
new file mode 100644
index 0000000000..6fa09e9e2a
--- /dev/null
+++ b/gnu/packages/patches/argyllcms-prepare-Jamtop.patch
@@ -0,0 +1,356 @@
+diff --git a/Jamtop b/Jamtop
+index 55854fd..2b1089e 100755
+--- a/Jamtop
++++ b/Jamtop
+@@ -77,65 +77,68 @@ USE_USBDK = false ;	# [false]
+ 
+ # Information for compiling and linking GUI programs
+ 
+-if $(UNIX) {
+-	if $(OS) = MACOSX {
+-		LINKFLAGS += -framework IOKit ;
+-		LINKFLAGS += -framework CoreFoundation ;
+-		LINKFLAGS += -framework AppKit ;
+-		LINKFLAGS += -framework AudioToolbox ;
+-
+-	# Hmm. Would be nice to use pkg-config here, if system has it.
+-	} else {
+-		if [ GLOB /usr/X11R6/include/X11 : X.h ] {
+-			LibWinH = /usr/X11R6/include ;
+-		} else if [ GLOB /usr/include/X11 : X.h ] {
+-			LibWinH = /usr/include ;
+-		} else if [ GLOB /usr/local/include/X11 : X.h ] {
+-			LibWinH = /usr/local/include ;
+-		} else {
+-			EXIT Unable to locate the X11 include files ;
+-		}
+-
+-		if $(HOST64) {
+-			if [ GLOB /usr/X11R6/lib : libX11.so libX11.a ] {
+-				LibWinD = /usr/X11R6/lib ;
+-			} else if [ GLOB /usr/lib/x86_64-linux-gnu : libX11.so libX11.a ] {
+-				LibWinD = /usr/lib/x86_64-linux-gnu ;
+-			} else if [ GLOB /usr/lib64 : libX11.so libX11.a ] {
+-				LibWinD = /usr/lib64 ;
+-			} else if [ GLOB /usr/lib : libX11.so libX11.a ] {
+-				LibWinD = /usr/lib ;
+-			} else if [ GLOB /usr/local/lib : libX11.so libX11.a ] {
+-				LibWinD = /usr/local/lib ;
+-			} else {
+-				ECHO Unable to locate the 64 bit X11 library files ;
+-			}
+-		} else {
+-			if [ GLOB /usr/X11R6/lib : libX11.so libX11.a ] {
+-				LibWinD = /usr/X11R6/lib ;
+-			} else if [ GLOB /usr/lib/i386-linux-gnu : libX11.so libX11.a ] {
+-				LibWinD = /usr/lib/i386-linux-gnu ;
+-			} else if [ GLOB /usr/lib : libX11.so libX11.a ] {
+-				LibWinD = /usr/lib ;
+-			} else if [ GLOB /usr/local/lib : libX11.so libX11.a ] {
+-				LibWinD = /usr/local/lib ;
+-			} else {
+-				ECHO Unable to locate the 32 bit X11 library files ;
+-			}
+-		}
+-		if $(OS) = FREEBSD {
+-			LINKFLAGS += -g -lrt -lusb ;
+-			GUILINKFLAGS += -L$(LibWinD) -g -lX11 -lXext -lXxf86vm -lXinerama -lXrandr -lXau -lXdmcp -lXss  ;
+-		} else if $(OS) = OPENBSD {
+-			LINKFLAGS += ;
+-			GUILINKFLAGS += -L$(LibWinD) -g -lX11 -lXext -lXxf86vm -lXinerama -lXrandr -lXau -lXdmcp -lXss -L/usr/local/lib ;
+-		} else {
+-			LINKFLAGS += -ldl -lrt ;
+-			GUILINKFLAGS += -L$(LibWinD) -lX11 -lXext -lXxf86vm -lXinerama -lXrandr -lXau -lXdmcp -lXss ;
+-		}
+-		# HDRS += $(LibWinH) ; 
+-	}
+-}
++LINKFLAGS += -ldl -lrt ;
++GUILINKFLAGS += -lX11 -lXext -lXxf86vm -lXinerama -lXrandr -lXau -lXdmcp -lXss ;
++
++# if $(UNIX) {
++# 	if $(OS) = MACOSX {
++# 		LINKFLAGS += -framework IOKit ;
++# 		LINKFLAGS += -framework CoreFoundation ;
++# 		LINKFLAGS += -framework AppKit ;
++# 		LINKFLAGS += -framework AudioToolbox ;
++
++# 	# Hmm. Would be nice to use pkg-config here, if system has it.
++# 	} else {
++# 		if [ GLOB /usr/X11R6/include/X11 : X.h ] {
++# 			LibWinH = /usr/X11R6/include ;
++# 		} else if [ GLOB /usr/include/X11 : X.h ] {
++# 			LibWinH = /usr/include ;
++# 		} else if [ GLOB /usr/local/include/X11 : X.h ] {
++# 			LibWinH = /usr/local/include ;
++# 		} else {
++# 			EXIT Unable to locate the X11 include files ;
++# 		}
++
++# 		if $(HOST64) {
++# 			if [ GLOB /usr/X11R6/lib : libX11.so libX11.a ] {
++# 				LibWinD = /usr/X11R6/lib ;
++# 			} else if [ GLOB /usr/lib/x86_64-linux-gnu : libX11.so libX11.a ] {
++# 				LibWinD = /usr/lib/x86_64-linux-gnu ;
++# 			} else if [ GLOB /usr/lib64 : libX11.so libX11.a ] {
++# 				LibWinD = /usr/lib64 ;
++# 			} else if [ GLOB /usr/lib : libX11.so libX11.a ] {
++# 				LibWinD = /usr/lib ;
++# 			} else if [ GLOB /usr/local/lib : libX11.so libX11.a ] {
++# 				LibWinD = /usr/local/lib ;
++# 			} else {
++# 				ECHO Unable to locate the 64 bit X11 library files ;
++# 			}
++# 		} else {
++# 			if [ GLOB /usr/X11R6/lib : libX11.so libX11.a ] {
++# 				LibWinD = /usr/X11R6/lib ;
++# 			} else if [ GLOB /usr/lib/i386-linux-gnu : libX11.so libX11.a ] {
++# 				LibWinD = /usr/lib/i386-linux-gnu ;
++# 			} else if [ GLOB /usr/lib : libX11.so libX11.a ] {
++# 				LibWinD = /usr/lib ;
++# 			} else if [ GLOB /usr/local/lib : libX11.so libX11.a ] {
++# 				LibWinD = /usr/local/lib ;
++# 			} else {
++# 				ECHO Unable to locate the 32 bit X11 library files ;
++# 			}
++# 		}
++# 		if $(OS) = FREEBSD {
++# 			LINKFLAGS += -g -lrt -lusb ;
++# 			GUILINKFLAGS += -L$(LibWinD) -g -lX11 -lXext -lXxf86vm -lXinerama -lXrandr -lXau -lXdmcp -lXss  ;
++# 		} else if $(OS) = OPENBSD {
++# 			LINKFLAGS += ;
++# 			GUILINKFLAGS += -L$(LibWinD) -g -lX11 -lXext -lXxf86vm -lXinerama -lXrandr -lXau -lXdmcp -lXss -L/usr/local/lib ;
++# 		} else {
++# 			LINKFLAGS += -ldl -lrt ;
++# 			GUILINKFLAGS += -L$(LibWinD) -lX11 -lXext -lXxf86vm -lXinerama -lXrandr -lXau -lXdmcp -lXss ;
++# 		}
++# 		# HDRS += $(LibWinH) ; 
++# 	}
++# }
+ 
+ # Standard system library support:
+ 
+@@ -146,113 +149,117 @@ rule CheckForLibrary {
+ 	lcase = $(<:L) ;
+ 	libname = $(lcase) ;
+ 	subd = "" ;
+-
+-	if $(>) {
+-		libname = $(>) ;
+-	}
+-
+-	if $(3) {
+-		subd = $(3) ;
+-	}
+-
+-	if ! $(BUILTIN_$(UCASE)) && $(UNIX) {
+-	    if  [ GLOB /usr/include$(subd) : $(lcase).h $(lcase)lib.h ]
+-		 || [ GLOB /usr/local/include$(subd) : $(lcase).h $(lcase)lib.h ]
+-		 || [ GLOB /usr/include/x86_64-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
+-		 || [ GLOB /usr/include/i386-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
+-		 || [ GLOB /usr/include/alpha-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
+-		 || [ GLOB /usr/include/aarch64-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
+-		 || [ GLOB /usr/include/arm-linux-gnueabi$(subd) : $(lcase).h $(lcase)lib.h ]
+-		 || [ GLOB /usr/include/arm-linux-gnueabihf$(subd) : $(lcase).h $(lcase)lib.h ]
+-		 || [ GLOB /usr/include/hppa-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
+-		 || [ GLOB /usr/include/i386-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
+-		 || [ GLOB /usr/include/x86_64-kfreebsd-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
+-		 || [ GLOB /usr/include/i386-kfreebsd-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
+-         || [ GLOB /usr/include/loongarch64-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
+-		 || [ GLOB /usr/include/m68k-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
+-		 || [ GLOB /usr/include/mips-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
+-		 || [ GLOB /usr/include/mipsel-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
+-		 || [ GLOB /usr/include/mips64el-linux-gnuabi64$(subd) : $(lcase).h $(lcase)lib.h ]
+-		 || [ GLOB /usr/include/powerpc-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
+-		 || [ GLOB /usr/include/powerpc-linux-gnuspe$(subd) : $(lcase).h $(lcase)lib.h ]
+-		 || [ GLOB /usr/include/powerpc64-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
+-		 || [ GLOB /usr/include/powerpc64le-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
+-         || [ GLOB /usr/include/riscv64-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
+-		 || [ GLOB /usr/include/s390x-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
+-		 || [ GLOB /usr/include/sh4-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
+-		 || [ GLOB /usr/include/sparc-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
+-		 || [ GLOB /usr/include/sparc64-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
+-		 || [ GLOB /usr/include/x86_64-linux-gnux32$(subd) : $(lcase).h $(lcase)lib.h ] {
+-		    if  [ GLOB /usr/lib : lib$(lcase).so ]  || [ GLOB /usr/lib : lib$(lcase).a ]
+-			 || [ GLOB /usr/local/lib : lib$(lcase).so ]
+-			 || [ GLOB /usr/local/lib : lib$(lcase).a ]
+-			 || [ GLOB /usr/lib64 : lib$(lcase).so ]
+-			 || [ GLOB /usr/lib64 : lib$(lcase).a ]
+-			 || [ GLOB /usr/lib/x86_64-linux-gnu : lib$(lcase).so ]
+-			 || [ GLOB /usr/lib/x86_64-linux-gnu : lib$(lcase).a ]
+-			 || [ GLOB /usr/lib/i386-linux-gnu : lib$(lcase).so ]
+-			 || [ GLOB /usr/lib/i386-linux-gnu : lib$(lcase).a ]
+-			 || [ GLOB /usr/lib/alpha-linux-gnu : lib$(lcase).so ]
+-			 || [ GLOB /usr/lib/alpha-linux-gnu : lib$(lcase).a ]
+-			 || [ GLOB /usr/lib/aarch64-linux-gnu : lib$(lcase).so ]
+-			 || [ GLOB /usr/lib/aarch64-linux-gnu : lib$(lcase).a ]
+-			 || [ GLOB /usr/lib/arm-linux-gnueabi : lib$(lcase).so ]
+-			 || [ GLOB /usr/lib/arm-linux-gnueabi : lib$(lcase).a ]
+-			 || [ GLOB /usr/lib/arm-linux-gnueabihf : lib$(lcase).so ]
+-			 || [ GLOB /usr/lib/arm-linux-gnueabihf : lib$(lcase).a ]
+-			 || [ GLOB /usr/lib/hppa-linux-gnu : lib$(lcase).so ]
+-			 || [ GLOB /usr/lib/hppa-linux-gnu : lib$(lcase).a ]
+-			 || [ GLOB /usr/lib/i386-gnu : lib$(lcase).so ]
+-			 || [ GLOB /usr/lib/i386-gnu : lib$(lcase).a ]
+-			 || [ GLOB /usr/lib/x86_64-kfreebsd-gnu : lib$(lcase).so ]
+-			 || [ GLOB /usr/lib/x86_64-kfreebsd-gnu : lib$(lcase).a ]
+-			 || [ GLOB /usr/lib/i386-kfreebsd-gnu : lib$(lcase).so ]
+-			 || [ GLOB /usr/lib/i386-kfreebsd-gnu : lib$(lcase).a ]
+-             || [ GLOB /usr/lib/loongarch64-linux-gnu : lib$(lcase).so ]
+-             || [ GLOB /usr/lib/loongarch64-linux-gnu : lib$(lcase).a ]
+-			 || [ GLOB /usr/lib/m68k-linux-gnu : lib$(lcase).so ]
+-			 || [ GLOB /usr/lib/m68k-linux-gnu : lib$(lcase).a ]
+-			 || [ GLOB /usr/lib/mips-linux-gnu : lib$(lcase).so ]
+-			 || [ GLOB /usr/lib/mips-linux-gnu : lib$(lcase).a ]
+-			 || [ GLOB /usr/lib/mipsel-linux-gnu : lib$(lcase).so ]
+-			 || [ GLOB /usr/lib/mipsel-linux-gnu : lib$(lcase).a ]
+-			 || [ GLOB /usr/lib/mips64el-linux-gnuabi64 : lib$(lcase).so ]
+-			 || [ GLOB /usr/lib/mips64el-linux-gnuabi64 : lib$(lcase).a ]
+-			 || [ GLOB /usr/lib/powerpc-linux-gnu : lib$(lcase).so ]
+-			 || [ GLOB /usr/lib/powerpc-linux-gnu : lib$(lcase).a ]
+-			 || [ GLOB /usr/lib/powerpc-linux-gnuspe : lib$(lcase).so ]
+-			 || [ GLOB /usr/lib/powerpc-linux-gnuspe : lib$(lcase).a ]
+-			 || [ GLOB /usr/lib/powerpc64-linux-gnu : lib$(lcase).so ]
+-			 || [ GLOB /usr/lib/powerpc64-linux-gnu : lib$(lcase).a ]
+-			 || [ GLOB /usr/lib/powerpc64le-linux-gnu : lib$(lcase).so ]
+-			 || [ GLOB /usr/lib/powerpc64le-linux-gnu : lib$(lcase).a ]
+-             || [ GLOB /usr/lib/riscv64-linux-gnu : lib$(lcase).so ]
+-             || [ GLOB /usr/lib/riscv64-linux-gnu : lib$(lcase).a ]
+-			 || [ GLOB /usr/lib/s390x-linux-gnu : lib$(lcase).so ]
+-			 || [ GLOB /usr/lib/s390x-linux-gnu : lib$(lcase).a ]
+-			 || [ GLOB /usr/lib/sh4-linux-gnu : lib$(lcase).so ]
+-			 || [ GLOB /usr/lib/sh4-linux-gnu : lib$(lcase).a ]
+-			 || [ GLOB /usr/lib/sparc-linux-gnu : lib$(lcase).so ]
+-			 || [ GLOB /usr/lib/sparc-linux-gnu : lib$(lcase).a ]
+-			 || [ GLOB /usr/lib/sparc64-linux-gnu : lib$(lcase).so ]
+-			 || [ GLOB /usr/lib/sparc64-linux-gnu : lib$(lcase).a ]
+-			 || [ GLOB /usr/lib/x86_64-linux-gnux32 : lib$(lcase).so ]
+-			 || [ GLOB /usr/lib/x86_64-linux-gnux32 : lib$(lcase).a ] {
+-				echo "Using system $(UCASE) library" ;
+-				$(UCASE)LIB = ;
+-				$(UCASE)INC = ;
+-				LINKFLAGS += $(LINKFLAG)$(lcase) ;
+-				HAVE_$(UCASE) = true ;
+-			}
+-		}
+-	}
++        $(UCASE)LIB = ;
++	$(UCASE)INC = ;
++        LINKFLAGS += $(LINKFLAG)$(lcase) ;
++	HAVE_$(UCASE) = true ;
++
++	# if $(>) {
++	# 	libname = $(>) ;
++	# }
++
++	# if $(3) {
++	# 	subd = $(3) ;
++	# }
++
++	# if ! $(BUILTIN_$(UCASE)) && $(UNIX) {
++	#     if  [ GLOB /usr/include$(subd) : $(lcase).h $(lcase)lib.h ]
++	# 	 || [ GLOB /usr/local/include$(subd) : $(lcase).h $(lcase)lib.h ]
++	# 	 || [ GLOB /usr/include/x86_64-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
++	# 	 || [ GLOB /usr/include/i386-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
++	# 	 || [ GLOB /usr/include/alpha-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
++	# 	 || [ GLOB /usr/include/aarch64-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
++	# 	 || [ GLOB /usr/include/arm-linux-gnueabi$(subd) : $(lcase).h $(lcase)lib.h ]
++	# 	 || [ GLOB /usr/include/arm-linux-gnueabihf$(subd) : $(lcase).h $(lcase)lib.h ]
++	# 	 || [ GLOB /usr/include/hppa-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
++	# 	 || [ GLOB /usr/include/i386-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
++	# 	 || [ GLOB /usr/include/x86_64-kfreebsd-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
++	# 	 || [ GLOB /usr/include/i386-kfreebsd-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
++        #  || [ GLOB /usr/include/loongarch64-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
++	# 	 || [ GLOB /usr/include/m68k-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
++	# 	 || [ GLOB /usr/include/mips-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
++	# 	 || [ GLOB /usr/include/mipsel-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
++	# 	 || [ GLOB /usr/include/mips64el-linux-gnuabi64$(subd) : $(lcase).h $(lcase)lib.h ]
++	# 	 || [ GLOB /usr/include/powerpc-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
++	# 	 || [ GLOB /usr/include/powerpc-linux-gnuspe$(subd) : $(lcase).h $(lcase)lib.h ]
++	# 	 || [ GLOB /usr/include/powerpc64-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
++	# 	 || [ GLOB /usr/include/powerpc64le-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
++        #  || [ GLOB /usr/include/riscv64-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
++	# 	 || [ GLOB /usr/include/s390x-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
++	# 	 || [ GLOB /usr/include/sh4-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
++	# 	 || [ GLOB /usr/include/sparc-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
++	# 	 || [ GLOB /usr/include/sparc64-linux-gnu$(subd) : $(lcase).h $(lcase)lib.h ]
++	# 	 || [ GLOB /usr/include/x86_64-linux-gnux32$(subd) : $(lcase).h $(lcase)lib.h ] {
++	# 	    if  [ GLOB /usr/lib : lib$(lcase).so ]  || [ GLOB /usr/lib : lib$(lcase).a ]
++	# 		 || [ GLOB /usr/local/lib : lib$(lcase).so ]
++	# 		 || [ GLOB /usr/local/lib : lib$(lcase).a ]
++	# 		 || [ GLOB /usr/lib64 : lib$(lcase).so ]
++	# 		 || [ GLOB /usr/lib64 : lib$(lcase).a ]
++	# 		 || [ GLOB /usr/lib/x86_64-linux-gnu : lib$(lcase).so ]
++	# 		 || [ GLOB /usr/lib/x86_64-linux-gnu : lib$(lcase).a ]
++	# 		 || [ GLOB /usr/lib/i386-linux-gnu : lib$(lcase).so ]
++	# 		 || [ GLOB /usr/lib/i386-linux-gnu : lib$(lcase).a ]
++	# 		 || [ GLOB /usr/lib/alpha-linux-gnu : lib$(lcase).so ]
++	# 		 || [ GLOB /usr/lib/alpha-linux-gnu : lib$(lcase).a ]
++	# 		 || [ GLOB /usr/lib/aarch64-linux-gnu : lib$(lcase).so ]
++	# 		 || [ GLOB /usr/lib/aarch64-linux-gnu : lib$(lcase).a ]
++	# 		 || [ GLOB /usr/lib/arm-linux-gnueabi : lib$(lcase).so ]
++	# 		 || [ GLOB /usr/lib/arm-linux-gnueabi : lib$(lcase).a ]
++	# 		 || [ GLOB /usr/lib/arm-linux-gnueabihf : lib$(lcase).so ]
++	# 		 || [ GLOB /usr/lib/arm-linux-gnueabihf : lib$(lcase).a ]
++	# 		 || [ GLOB /usr/lib/hppa-linux-gnu : lib$(lcase).so ]
++	# 		 || [ GLOB /usr/lib/hppa-linux-gnu : lib$(lcase).a ]
++	# 		 || [ GLOB /usr/lib/i386-gnu : lib$(lcase).so ]
++	# 		 || [ GLOB /usr/lib/i386-gnu : lib$(lcase).a ]
++	# 		 || [ GLOB /usr/lib/x86_64-kfreebsd-gnu : lib$(lcase).so ]
++	# 		 || [ GLOB /usr/lib/x86_64-kfreebsd-gnu : lib$(lcase).a ]
++	# 		 || [ GLOB /usr/lib/i386-kfreebsd-gnu : lib$(lcase).so ]
++	# 		 || [ GLOB /usr/lib/i386-kfreebsd-gnu : lib$(lcase).a ]
++        #      || [ GLOB /usr/lib/loongarch64-linux-gnu : lib$(lcase).so ]
++        #      || [ GLOB /usr/lib/loongarch64-linux-gnu : lib$(lcase).a ]
++	# 		 || [ GLOB /usr/lib/m68k-linux-gnu : lib$(lcase).so ]
++	# 		 || [ GLOB /usr/lib/m68k-linux-gnu : lib$(lcase).a ]
++	# 		 || [ GLOB /usr/lib/mips-linux-gnu : lib$(lcase).so ]
++	# 		 || [ GLOB /usr/lib/mips-linux-gnu : lib$(lcase).a ]
++	# 		 || [ GLOB /usr/lib/mipsel-linux-gnu : lib$(lcase).so ]
++	# 		 || [ GLOB /usr/lib/mipsel-linux-gnu : lib$(lcase).a ]
++	# 		 || [ GLOB /usr/lib/mips64el-linux-gnuabi64 : lib$(lcase).so ]
++	# 		 || [ GLOB /usr/lib/mips64el-linux-gnuabi64 : lib$(lcase).a ]
++	# 		 || [ GLOB /usr/lib/powerpc-linux-gnu : lib$(lcase).so ]
++	# 		 || [ GLOB /usr/lib/powerpc-linux-gnu : lib$(lcase).a ]
++	# 		 || [ GLOB /usr/lib/powerpc-linux-gnuspe : lib$(lcase).so ]
++	# 		 || [ GLOB /usr/lib/powerpc-linux-gnuspe : lib$(lcase).a ]
++	# 		 || [ GLOB /usr/lib/powerpc64-linux-gnu : lib$(lcase).so ]
++	# 		 || [ GLOB /usr/lib/powerpc64-linux-gnu : lib$(lcase).a ]
++	# 		 || [ GLOB /usr/lib/powerpc64le-linux-gnu : lib$(lcase).so ]
++	# 		 || [ GLOB /usr/lib/powerpc64le-linux-gnu : lib$(lcase).a ]
++        #      || [ GLOB /usr/lib/riscv64-linux-gnu : lib$(lcase).so ]
++        #      || [ GLOB /usr/lib/riscv64-linux-gnu : lib$(lcase).a ]
++	# 		 || [ GLOB /usr/lib/s390x-linux-gnu : lib$(lcase).so ]
++	# 		 || [ GLOB /usr/lib/s390x-linux-gnu : lib$(lcase).a ]
++	# 		 || [ GLOB /usr/lib/sh4-linux-gnu : lib$(lcase).so ]
++	# 		 || [ GLOB /usr/lib/sh4-linux-gnu : lib$(lcase).a ]
++	# 		 || [ GLOB /usr/lib/sparc-linux-gnu : lib$(lcase).so ]
++	# 		 || [ GLOB /usr/lib/sparc-linux-gnu : lib$(lcase).a ]
++	# 		 || [ GLOB /usr/lib/sparc64-linux-gnu : lib$(lcase).so ]
++	# 		 || [ GLOB /usr/lib/sparc64-linux-gnu : lib$(lcase).a ]
++	# 		 || [ GLOB /usr/lib/x86_64-linux-gnux32 : lib$(lcase).so ]
++	# 		 || [ GLOB /usr/lib/x86_64-linux-gnux32 : lib$(lcase).a ] {
++	# 			echo "Using system $(UCASE) library" ;
++	# 			$(UCASE)LIB = ;
++	# 			$(UCASE)INC = ;
++	# 			LINKFLAGS += $(LINKFLAG)$(lcase) ;
++	# 			HAVE_$(UCASE) = true ;
++	# 		}
++	# 	}
++	# }
+ 	
+-	# If nothing else, use Argyll supplied $(UCASE) library
+-	if ! $(HAVE_$(UCASE)) || $(BUILTIN_$(UCASE)) {
+-		echo "Using Argyll $(UCASE) library" ;
+-		$(UCASE)LIB = ../$(libname)/lib$(lcase).lib ;
+-		$(UCASE)INC = ../$(libname) ;
+-	}
++	# # If nothing else, use Argyll supplied $(UCASE) library
++	# if ! $(HAVE_$(UCASE)) || $(BUILTIN_$(UCASE)) {
++	# 	echo "Using Argyll $(UCASE) library" ;
++	# 	$(UCASE)LIB = ../$(libname)/lib$(lcase).lib ;
++	# 	$(UCASE)INC = ../$(libname) ;
++	# }
+ }
+ 
+ # See if we have a system TIFF, JPEG, PNG or ZLIB library.